Show / Hide Table of Contents

# Class OpenIddictServerEvents.HandleConfigurationRequestContext

Represents an event called for each validated configuration request to allow the user code to decide how the request should be handled.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.HandleConfigurationRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class HandleConfigurationRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### HandleConfigurationRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.HandleConfigurationRequestContext class.

##### Declaration

    public HandleConfigurationRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### AuthorizationEndpoint

Gets or sets the authorization endpoint address.

##### Declaration

    public Uri? AuthorizationEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### Claims

Gets the list of claims supported by the authorization server.

##### Declaration

    public HashSet<string> Claims { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### CodeChallengeMethods

Gets a list of the code challenge methods supported by the authorization server.

##### Declaration

    public HashSet<string> CodeChallengeMethods { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### CryptographyEndpoint

Gets or sets the JWKS endpoint address.

##### Declaration

    public Uri? CryptographyEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### DeviceEndpoint

Gets or sets the device endpoint address.

##### Declaration

    public Uri? DeviceEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### GrantTypes

Gets the list of grant types supported by the authorization server.

##### Declaration

    public HashSet<string> GrantTypes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### IdTokenSigningAlgorithms

Gets a list of signing algorithms supported by the authorization server for signing the identity tokens.

##### Declaration

    public HashSet<string> IdTokenSigningAlgorithms { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### IntrospectionEndpoint

Gets or sets the introspection endpoint address.

##### Declaration

    public Uri? IntrospectionEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### IntrospectionEndpointAuthenticationMethods

Gets a list of client authentication methods supported by the introspection endpoint provided by the authorization server.

##### Declaration

    public HashSet<string> IntrospectionEndpointAuthenticationMethods { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### LogoutEndpoint

Gets or sets the logout endpoint address.

##### Declaration

    public Uri? LogoutEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### Metadata

Gets the additional parameters returned to the client application.

##### Declaration

    public IDictionary<string, OpenIddictParameter> Metadata { get; }

##### Property Value

Type | Description
--- | ---
IDictionary<System.String, OpenIddictParameter> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### ResponseModes

Gets the list of response modes supported by the authorization server.

##### Declaration

    public HashSet<string> ResponseModes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### ResponseTypes

Gets the list of response types supported by the authorization server.

##### Declaration

    public HashSet<string> ResponseTypes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### RevocationEndpoint

Gets or sets the revocation endpoint address.

##### Declaration

    public Uri? RevocationEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### RevocationEndpointAuthenticationMethods

Gets a list of client authentication methods supported by the revocation endpoint provided by the authorization server.

##### Declaration

    public HashSet<string> RevocationEndpointAuthenticationMethods { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### Scopes

Gets the list of scope values supported by the authorization server.

##### Declaration

    public HashSet<string> Scopes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### SubjectTypes

Gets the list of subject types supported by the authorization server.

##### Declaration

    public HashSet<string> SubjectTypes { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### TokenEndpoint

Gets or sets the token endpoint address.

##### Declaration

    public Uri? TokenEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### TokenEndpointAuthenticationMethods

Gets a list of client authentication methods supported by the token endpoint provided by the authorization server.

##### Declaration

    public HashSet<string> TokenEndpointAuthenticationMethods { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |

#### UserinfoEndpoint

Gets or sets the userinfo endpoint address.

##### Declaration

    public Uri? UserinfoEndpoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |